summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec <mario@slackware.hr>2017-05-12 13:36:06 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-13 07:00:07 +0700
commitb588118dce1f26dba3869b64f106a0c3f62f977f (patch)
tree7a501f0587ea0ecc8ba0ce808bd188969270d588
parent7fcc7527bc3856f5d49971aa104c06e9dbf1f7cf (diff)
downloadslackbuilds-b588118dce1f26dba3869b64f106a0c3f62f977f.tar.gz
slackbuilds-b588118dce1f26dba3869b64f106a0c3f62f977f.tar.xz
network/qTox: Updated for version 1.10.0.
Signed-off-by: Mario Preksavec <mario@slackware.hr>
-rw-r--r--network/qTox/qTox.SlackBuild32
-rw-r--r--network/qTox/qTox.info6
-rw-r--r--network/qTox/rawdatabase.h.diff10
3 files changed, 32 insertions, 16 deletions
diff --git a/network/qTox/qTox.SlackBuild b/network/qTox/qTox.SlackBuild
index c8989cc1fef..6da297342b6 100644
--- a/network/qTox/qTox.SlackBuild
+++ b/network/qTox/qTox.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qTox
-VERSION=${VERSION:-1.7.1}
+VERSION=${VERSION:-1.10.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,22 +69,28 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-qmake-qt5 \
- ENABLE_SYSTRAY_STATUSNOTIFIER_BACKEND=NO \
- ENABLE_SYSTRAY_UNITY_BACKEND=NO \
- ENABLE_SYSTRAY_GTK_BACKEND=YES
+# gcc-7 fix
+patch -p1 <$CWD/rawdatabase.h.diff
-make
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -Wno-error" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DENABLE_STATUSNOTIFIER=False \
+ -DENABLE_APPINDICATOR=False \
+ -DENABLE_GTK_SYSTRAY=True \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
-# Copy only the fun stuff ;-)
-install -D -m0755 -oroot -groot -s qtox $PKG/usr/bin/qtox
-install -D -m0644 -oroot -groot $PRGNAM.desktop \
- $PKG/usr/share/applications/$PRGNAM.desktop
-install -D -m0644 -oroot -groot img/icons/64x64/qtox.png \
- $PKG/usr/share/icons/hicolor/64x64/apps/qtox.png
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md CONTRIBUTING.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/qTox/qTox.info b/network/qTox/qTox.info
index f700c1f19c6..e0b1a22a05d 100644
--- a/network/qTox/qTox.info
+++ b/network/qTox/qTox.info
@@ -1,8 +1,8 @@
PRGNAM="qTox"
-VERSION="1.7.1"
+VERSION="1.10.0"
HOMEPAGE="https://github.com/tux3/qTox"
-DOWNLOAD="https://github.com/qTox/qTox/archive/v1.7.1/qTox-1.7.1.tar.gz"
-MD5SUM="c97a40a2ee14d0da7d57bd7fc6d96130"
+DOWNLOAD="https://github.com/qTox/qTox/archive/v1.10.0/qTox-1.10.0.tar.gz"
+MD5SUM="d2af1fcbbe5fb7ad5c8d0c835ebd6c84"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="c-toxcore libfilteraudio qt5 ffmpeg qrencode libxkbcommon sqlcipher"
diff --git a/network/qTox/rawdatabase.h.diff b/network/qTox/rawdatabase.h.diff
new file mode 100644
index 00000000000..d5175c3daee
--- /dev/null
+++ b/network/qTox/rawdatabase.h.diff
@@ -0,0 +1,10 @@
+--- qTox-1.10.0/src/persistence/db/rawdatabase.h.orig 2017-05-07 19:58:03.000000000 +0200
++++ qTox-1.10.0/src/persistence/db/rawdatabase.h 2017-05-11 17:15:25.501477422 +0200
+@@ -11,6 +11,7 @@
+ #include <QVector>
+ #include <atomic>
+ #include <memory>
++#include <functional>
+
+ struct sqlite3;
+ struct sqlite3_stmt;